Get All Users ( SUNSETTING )
curl --request GET \
--url https://api.grailpay.com/3p/api/v2/users \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.grailpay.com/3p/api/v2/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.grailpay.com/3p/api/v2/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"client_reference_id": "company_45458",
"uuid": "9d264b4a-006c-4d01-acd0-730e27784c59",
"first_name": "John",
"last_name": "Dew",
"email": "john.dew@example.com",
"phone": "2457856490",
"business": {
"name": "John Incorporation",
"tin": "922454715",
"address_type": "Registered",
"address": {
"street_address": "10554 W Quarles Ave",
"city": "Littleton",
"state": "CO",
"country": "US",
"zip": "80127"
},
"trading_name": "John Incorporation",
"entity_type": "Sole Trader",
"incorporation_date": "2024-02-02",
"incorporation_state": "CO",
"industry": "Nature of business",
"industry_classification": {
"code_type": "SIC",
"codes": [
"NAICS 42",
"NAICS 45"
],
"description": "NAICS"
},
"source_of_wealth": "2344",
"source_of_funds": "Industry",
"first_transaction_completed_at": "2024-05-02 16:14:25",
"product_type": "financial",
"registered_as_inactive": false,
"transaction_fee_percent": 25,
"transaction_fee_fixed": 500,
"maximum_transaction_fee": 500
},
"user_status": "APPROVED",
"kyb_status": "APPROVED",
"kyb_rejected_reason": null,
"financing_credit_balance": null,
"payout_type": "batch",
"role": "business",
"vendor_name": "Fintech",
"business_owners": [
{
"first_name": "John",
"last_name": "Dew",
"dob": "2023-04-11",
"ssn9": "123456789",
"address_line_1": "10554 W Quarles Ave",
"city": "Littleton",
"state": "CO",
"zip": "80127",
"is_beneficial_owner": true,
"is_director": false,
"is_account_owner": false,
"is_share_holder": false,
"is_significant_control_person": false,
"ownership_percentage": 25,
"email": "john.dew@example.com",
"phone": "2457856490",
"nationality": "US",
"occupation": "Co-founder",
"first_transaction_completed_at": "2024-05-02 16:14:25",
"product_type": "financial"
}
],
"created_at": "2024-10-02 14:06:14",
"updated_at": "2024-10-02 14:06:17"
}
],
"pagination": {
"current_page": 1,
"total_pages": 5,
"total_items": 50,
"per_page": 10
}
}{
"status": false,
"message": "Unknown parameters: per_page, role",
"data": null,
"errors": {},
"error_code": null
}{
"status": false,
"message": "Invalid Token",
"data": null,
"errors": null,
"error_code": null
}Users
Get All Users ( SUNSETTING )
This Endpoint is Sunsetting and you should use the stable endpoint. Sunsetting APIs that are still supported but scheduled for deprecation.
GET
/
3p
/
api
/
v2
/
users
Get All Users ( SUNSETTING )
Authorizations
Token-based authentication using Authorization: Bearer <YOUR_API_KEY> provided by the GrailPay Support Team.
Query Parameters
Filter users by role
Filter users created after this date (YYYY-MM-DD)
Filter users created before this date (YYYY-MM-DD)
Sort order (asc or desc)
Available options:
asc, desc Page number for pagination
Number of users per page
⌘I
